Bug 13292 - winbind requests could get stuck in the queue of a busy child, while later requests could get served fine by other children.
winbind requests could get stuck in the queue of a busy child, while later re...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.8.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 13290 13291 13293 13294 13295
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-21 13:59 UTC by Stefan Metzmacher
Modified: 2018-05-07 07:08 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (26.62 KB, patch)
2018-02-27 11:01 UTC, Ralph Böhme
metze: review+
Details
Patches for v4-7-test (48.95 KB, patch)
2018-04-17 06:27 UTC, Stefan Metzmacher
vl: review+
Details
Patches for v4-7-test (48.90 KB, patch)
2018-04-19 10:20 UTC, Stefan Metzmacher
metze: review? (vl)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-02-21 13:59:16 UTC
It's possible to have more than 1 winbindd child per domain,
but currently we only have one queue per child.

It can happen that a request waits in a queue of a busy child,
while another child becomes idle and could server the request.

We should have just one queue per domain in order to
provide fair serving of requests.
Comment 1 Ralph Böhme 2018-02-27 11:01:38 UTC
Created attachment 14002 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 16:08:01 UTC
Pushed to autobuild-v4-8-test. But needs backport to older versions.
Comment 3 Karolin Seeger 2018-02-28 11:57:41 UTC
Pushed to v4-8-test.
Comment 4 Karolin Seeger 2018-03-22 20:51:42 UTC
Re-assigning to Metze for backports.
Comment 5 Stefan Metzmacher 2018-04-17 06:27:45 UTC
Created attachment 14151 [details]
Patches for v4-7-test

This requires the patchset on #13291
Comment 6 Karolin Seeger 2018-04-19 09:48:56 UTC
Pushed to autobuild-v4-7-test.
Comment 7 Stefan Metzmacher 2018-04-19 10:20:35 UTC
Created attachment 14157 [details]
Patches for v4-7-test

In 4.7 add_trusted_domain_from_tdc() needs to return NULL
instead of NT_STATUS_NO_MEMORY
Comment 8 Karolin Seeger 2018-04-20 09:47:14 UTC
(In reply to Stefan Metzmacher from comment #7)
Pushed to autobuild-v4-7-test.
Comment 9 Karolin Seeger 2018-05-07 07:08:47 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to v4-7-test.
Closing out bug report.

Thanks!